[page:Material] →

# [name]

A material for drawing wireframe-style geometries.

## Constructor

### [name]( [page:Object parameters] )

parameters is an object with one or more properties defining the material's appearance.
color — An instance of [page:Color Color]. Default is white.
linewidth — Line thickness. Default is 1.
linecap — Define appearance of line ends. Default is 'round'.
linejoin — Define appearance of line joints. Default is 'round'.
vertexColors — Define whether the material uses vertex colors, or not. Default is false.
fog — Define whether the material color is affected by global fog settings. Default is false.

## Properties

### .[page:Color color]

An instance of [page:Color THREE.Color]. Default is a white (0xffffff) instance.

### .[page:Float linewidth]

Controls line thickness. Default is 1.

### .[page:String linecap]

Define appearance of line ends. Possible values are "butt", "round" and "square". Default is 'round'.
This setting might not have any effect when used with certain renderers. For example, it is ignored with the [page:WebGLRenderer WebGL] renderer, but does work with the [page:CanvasRenderer Canvas] renderer.

### .[page:String linejoin]

Define appearance of line joints. Possible values are "round", "bevel" and "miter". Default is 'round'.
This setting might not have any effect when used with certain renderers. For example, it is ignored with the [page:WebGLRenderer WebGL] renderer, but does work with the [page:CanvasRenderer Canvas] renderer.

### .[page:Boolean vertexColors]

Define whether the material uses vertex colors, or not. Default is false.
This setting might not have any effect when used with certain renderers. For example, it is ignored with the [page:CanvasRenderer Canvas] renderer, but does work with the [page:WebGLRenderer WebGL] renderer.

### .[page:Boolean fog]

Define whether the material color is affected by global fog settings.
This setting might not have any effect when used with certain renderers. For example, it is ignored with the [page:CanvasRenderer Canvas] renderer, but does work with the [page:WebGLRenderer WebGL] renderer.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/src/[path].js src/[path].js]